> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# عرض قائمة pools مع ترقيم الصفحات

> **نقطة نهاية قديمة (Legacy).** استرجاع قائمة pool مقسّمة على صفحات مع إمكانية التصفية والفرز. مخزّن مؤقتاً لمدة 60 ثانية. الحدّ الأقصى لـ pageSize هو 1000. تبقى نشطة لدعم عمليات التكامل الحالية؛ يُنصح في التكاملات الجديدة بالاستعلام عن pools عبر المعرّف أو زوج الرموز أو LP mint باستخدام نقاط نهاية `/pools/info/*` الأخرى، أو استخدام واجهة التوجيه المدعومة بالـ indexer في Transaction API.



## OpenAPI

````yaml /ar/api-reference/openapi/api-v3.yaml get /pools/info/list
openapi: 3.0.3
info:
  title: Raydium API v3
  version: 3.0.0
  description: >-
    توفر Raydium API v3 نقاط نهاية REST للاستعلام عن pools السيولة ومعلومات mint
    وتفاصيل المزارع وpools IDO وبيانات السلسلة الخاصة بـ Solana. تُستخدم من قِبل
    المحافظ والمجمِّعات والمتداولين للحصول على تغذيات الأسعار وبيانات Pool
    ومعلومات التوجيه.
servers:
  - url: https://api-v3.raydium.io
    description: الإنتاج (Mainnet)
  - url: https://api-v3-devnet.raydium.io
    description: التطوير (Devnet)
security: []
tags:
  - name: Main
    description: نقاط النهاية الأساسية لمعلومات السلسلة وTVL والإعدادات
  - name: Mint
    description: معلومات token mint والتسعير
  - name: Pools
    description: معلومات pool السيولة والمفاتيح والبيانات التاريخية
  - name: Farms
    description: معلومات farm pool والمفاتيح
  - name: IDO
    description: معلومات IDO pool والمفاتيح
paths:
  /pools/info/list:
    get:
      tags:
        - Pools
      summary: عرض قائمة pools مع ترقيم الصفحات
      description: >-
        **نقطة نهاية قديمة (Legacy).** استرجاع قائمة pool مقسّمة على صفحات مع
        إمكانية التصفية والفرز. مخزّن مؤقتاً لمدة 60 ثانية. الحدّ الأقصى لـ
        pageSize هو 1000. تبقى نشطة لدعم عمليات التكامل الحالية؛ يُنصح في
        التكاملات الجديدة بالاستعلام عن pools عبر المعرّف أو زوج الرموز أو LP
        mint باستخدام نقاط نهاية `/pools/info/*` الأخرى، أو استخدام واجهة
        التوجيه المدعومة بالـ indexer في Transaction API.
      operationId: getPoolsInfoList
      parameters:
        - name: poolType
          in: query
          required: true
          schema:
            type: string
            enum:
              - all
              - concentrated
              - standard
              - allFarm
              - concentratedFarm
              - standardFarm
        - name: poolSortField
          in: query
          required: true
          schema:
            type: string
            enum:
              - default
              - liquidity
              - volume24h
              - fee24h
              - apr24h
              - volume7d
              - fee7d
              - apr7d
              - volume30d
              - fee30d
              - apr30d
        - name: sortType
          in: query
          required: true
          schema:
            type: string
            enum:
              - desc
              - asc
        - name: pageSize
          in: query
          required: true
          schema:
            type: integer
            minimum: 1
            maximum: 1000
        - name: page
          in: query
          required: true
          schema:
            type: integer
            minimum: 1
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/PoolListResponse'
      deprecated: true
components:
  schemas:
    ApiResponse:
      type: object
      description: >-
        غلاف الاستجابة المشترك. يُقدَّم حقل `data` من قِبل مخطط استجابة كل نقطة
        نهاية عبر `allOf` ولذلك لا يُصرَّح عنه في الغلاف الأساسي.
      required:
        - id
        - success
      properties:
        id:
          type: string
          description: معرّف الطلب (UUID)
        success:
          type: boolean
          description: ما إذا كان الطلب ناجحاً
        msg:
          type: string
          description: رسالة الخطأ في حال كانت قيمة success تساوي false
    PoolListResponse:
      type: object
      properties:
        count:
          type: number
        data:
          type: array
          items:
            $ref: '#/components/schemas/PoolInfoItem'
        hasNextPage:
          type: boolean
    PoolInfoItem:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        programId:
          type: string
        lpMint:
          type: string
        mint1:
          type: object
        mint2:
          type: object
        tvl:
          type: number
        lpPrice:
          type: number
        farmOngoingCount:
          type: number
        day:
          type: object
        week:
          type: object
        month:
          type: object

````